Name:		mex
Version:	0.1.4
Release:	1%{?dist}
Summary:	Media centre application

Group:		Applications/Multimedia
License:	LGPLv2+
# Bugs
# https://github.com/media-explorer/media-explorer/issues?state=open
# Wiki
# https://github.com/media-explorer/media-explorer/wiki/Ideas
URL:		http://media-explorer.github.com/
Source0:	http://media-explorer.github.com/releases/mex-%{version}.tar.bz2

BuildRequires:	intltool
BuildRequires:	grilo-devel
BuildRequires:	glib2-devel
BuildRequires:	gdk-pixbuf2-devel
BuildRequires:	libmx-devel
BuildRequires:	rest-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libsoup-devel
BuildRequires:	clutter-gst-devel
BuildRequires:	lirc-devel
BuildRequires:	NetworkManager-devel

# For plugins
BuildRequires:	gupnp-devel avahi-glib-devel tracker-devel

Requires:	grilo-plugins
Requires:	gstreamer-plugins-bad-free
Requires:	gstreamer-plugins-base
Requires:	gstreamer-plugins-good

%description
Media explorer is a media centre application for Linux, originally
targeted towards MeeGo.

%prep
%setup -q

%build
%configure --enable-rebinder=no --with-thumbnailer=internal --with-plugins=search,queue,dbusinput,upnp,tracker,gnome-dvb,recommended --disable-introspection
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# nuke the .la file(s)
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS NEWS README
%{_bindir}/*
%{_libdir}/libmex-0.2.so*
%{_libdir}/mex/
%{_libexecdir}/*
%{_datadir}/applications/mex.desktop
%{_datadir}/dbus-1/services/mex-webremote.service
%{_datadir}/icons/hicolor/*/apps/mex.png
%{_datadir}/mex/

%changelog
* Mon Aug 01 2011 Bastien Nocera <bnocera@redhat.com> 0.1.4-1
- Update to 0.1.4

* Tue Jul 05 2011 Bastien Nocera <bnocera@redhat.com> 0.1.2-1
- First pass

